<?
include_once ("include/mailIt.class.php");
include_once ("db/dbElemento.class.php");
include_once ("config/config.mail.inc.php");
include_once ("include/cripta.class.php");

$db= new dbElemento;
	
if (($_POST['email'])){

	if (is_array($db->getLinhaCampo("cliente", "login", $_POST['login']))){
		$msg="O login já existe";
	} else {
		$nome=$_POST['nome'];
		$email=$_POST['email'];
		$login=$_POST['login'];
		$_POST['password']=md5($_POST['password']);
		
		$_POST['data']=Date("Y-m-d");
		$_POST['idCat']=1;
		
		$encode=array('nome', 'email', 'texto', 'telefone', 'morada', 'cp1', 'cp2', 'cp3', 'www', 'telemovel', 'empresa', 'fax');
		
		$c= new cripta;
		$_POST=$c->encLista($_POST, $encode);
		
		$id=$db->setInsert("cliente", 1, $_POST);
		
		$email=mysql_real_escape_string($email);
		$db->setInsert("clienteTemp", "", array("id"=>$id, "email"=>$email));
		
		$link=$myRegistoSim . "&email=$email";

		$assunto="Confirmacao de inscrição em $mailFromName";
		$mensagem="Caro(a) $nome<br>
		Deve clicar no link abaixo para confirmar a sua inscrição em $mailFromName<br>
		<a href=\"$link\">$link</a><br>
		Obrigado.";

		$m= new mailIt;
		$erro=$m->envia($nome, $email,$assunto, $mensagem );
		if ($erro) 
			$msg="Ocorreu um erro com o envio do email";
		else
			$msg="Obrigado pelo seu registo<br>Vai receber um mail para o confirmar.";
			
			
		if ($_POST['seguimento']){
			$assunto="Contacto para Seguimento Farmacoterapeutico";
			$mensagem="Eu $nome , estou interessado em receber um contacto para fazer seguimento farmacoterapêutico";
			$erro=$m->envia("Seguimento", "seguimento@farmaciainternacional.pt",$assunto, $mensagem , $nome, $email);
		}
	}
}

?>
